/*	@(#)$Id: raster.h,v 1.1 1998/06/22 16:55:55 pgf Exp $ */

#ifndef _raster_h
#define _raster_h

struct	rasterfile	{
	int	ras_magic;		/* magic number */
	int	ras_width;		/* width (pixels) of image */
	int	ras_height;		/* height (pixels) of image */
	int	ras_depth;		/* depth (1, 8, or 24 bits) of pixel */
	int	ras_length;		/* length (bytes) of image */
	int	ras_type;		/* type of file; see RT_* below */
	int	ras_maptype;		/* type of colormap; see RMT_* below */
	int	ras_maplength;		/* length (bytes) of following map */
};

#define	RAS_MAGIC	0x59a66a95
#define	RT_STANDARD	1		/* Raw pixrect image in 68000 byte order */
#define	RMT_NONE	0		/* ras_maplength is expected to be 0 */
#define	RMT_EQUAL_RGB	1		/* red[ras_maplength/3],green[],blue[] */

#endif /*!_raster_h*/
