#ifndef lint
static char *sccsid = "%Z%$RCSfile: mongo.c,v $	GIPS $Revision: 1.4 $ (MIT/CSR) $Date: 1998/11/13 23:28:11 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1990 Massachusetts Institute of Technology
**
**	Module:		$RCSfile: mongo.c,v $		Creation Date:	03/07/90
**	Version:	$Revision: 1.4 $		Update:		$Date: 1998/11/13 23:28:11 $
**	Function:	Mongo front end ((c) John Tonry, 1983)
*/

#include <stdio.h>
#include "mongo.h"

static	char	*color[] = {
	"define color", NULL, "end"
};

main(argc, argv)
	int	argc;
	char	*argv[];
{
	char	cmd[32], *buf, *malloc(), *sprintf();
	int	n, len;
	float	f;

	if (isatty(0))
		printf("Welcome to ColorMongo 1990\n");
	(void)sprintf(cmd, "set \\9 %s + &1", COLOR_CMAGIC));
	len = strlen(color[1] = cmd);
	if (*++argv && (n = strlen(*argv)+6) > len)
		len = n;
	buf = malloc(len*4+1);
	for (n = 0; n < 3; n++)
		sprintf(&buf[n*len], "%-*.*s", len, len, color[n]);
	if (*argv)
		sprintf(&buf[n++ * len], "input %-*.*s", len-6, len-6, *argv);
	f_init();
	mongo(n, buf, 0, 0, &f, len);
	f_exit();
	exit(0);
}
