#ifndef lint
static char *sccsid = "%Z%$RCSfile: put_pixels.c,v $	GIPS $Revision: 2.1 $ (MIT/CSR) $Date: 1986/07/27 06:00:52 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1985 Massachusetts Institute of Technology
**
**	Module:		put_pixels.c	Creation Date:	04/23/85
**	Version:	$Revision: 2.1 $		Update:		$Date: 1986/07/27 06:00:52 $
**	Components:	put_pixels()	iha subroutine
**
**	Function:	Write pixels to the sub-process
*/

#include	"iha.h"

put_pixels(x,y,pipe)
register x;
{
	int	sw;
	register char	*s;	/* output buffer pointer */
	register FILE	* fp;	/* stream pointer to internal pipe */
	register TABLE	* t;	/* pointer to I/O tables */
	register i;		/* scratch */
		short	*i2;	/* scratch */

	if ((fp = fdopen(pipe,"w")) == NULL)
		error("open error on pipe","");

	while (--y >= 0)
		for (t = out; (t = t->nexttab) != NULL; ) {
			switch (byteflag) {
			case 2:
				i2 = (short *)(t->buffer);
				for (i = 0; i < x; i++)
					*i2++ = i;
				break;
			case 1:
				sw = (t == out->nexttab) ? 0 : 255-y;
				for (s = t->buffer, i = 0; i < x; i++)
					*s++ = sw ? sw : i;
				break;
			default:
				if (fread(t->buffer,t->dlen,x,t->iop) != x)
				gipserr2(GIPSBADREAD,t->fname);
				break;
			}
			if (t->flgs & (NORM|POLY|CONV)) {
				conv_pix(x,t);
				s = (char *)t->fbuffer;
			} else
				s = t->buffer;
			if (fwrite(s,t->plen,x,fp) != x)
				error("write error to pipe","");
		}
	(void)(fclose(fp));
}
