/*	%Z%$RCSfile: ihgrid.h,v $	GIPS $Revision: 2.4 $ (MIT/CSR) $Date: 1987/07/01 19:18:34 $
**
**		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1984 Massachusetts Institute of Technology
**
**	Module:		ihgrid.h	Creation Date:	09/05/84
**	Version:	$Revision: 2.4 $		Update:		$Date: 1987/07/01 19:18:34 $
**	Components:	ihgrid.h	C include file
**
**	Function:	Definitions and externals for ihgrid()
*/

#define		GRID
#include	<math.h>
#include	"gips.h"
	/*
	**	Conversion cell
	*/
struct	cell	{		/* control grid cell record */
	int	xy[4];		/* output upper left, lower right corners */
	struct	vertex	{
		float	f[2];	/* input x-y coordinates of the vertex */
	}	v[4];		/* input ul, ur, ll, lr corners */
	char	flg[4];		/* flag fields */
};
#define	VERTEX_NONPHYS	01	/* vertex does not exist in input image */
#define	VERTEX_OFFMAP	02	/* vertex is not within input image area */

extern	int	errno;		/* library routine error code */
