#ifndef lint
static char *sccsid = "%Z%$RCSfile: get_poly.c,v $	GIPS $Revision: 2.1 $ (MIT/CSR) $Date: 1986/07/27 06:27:02 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1984 Massachusetts Institute of Technology
**
**	Module:		get_poly.c	Creation Date:	11/06/84
**	Version:	$Revision: 2.1 $		Update:		$Date: 1986/07/27 06:27:02 $
**	Components:	get_poly()	ihm subroutine
**
**	Function:	Get parameters for polynomial transformation
**			of dscale=p pixels
*/

#include	"ihm.h"

get_poly(t)

	register TABLE *t;
{
	char	dparm[BUFLEN];		/* polynomial coefficients */
	register i;			/* scratch */
	register float *d;		/* copy of t->dpoly */
	register FILE *ff;		/* string 'stream' pointer */

	if (qflag)
		error("-q flag illegal for dtype=p input: %s",t->fname);
	if (ihget("dpoly",(char *)&t->npoly,0) ||
	    ihget("dparm",dparm,sizeof(dparm)))
		gipserr();
	d = t->dpoly = (float *) alloc(i = 1 + t->npoly,sizeof(float));
	/*
	 *	read npoly+1 elements from 'dparm'
	 */
	ff = fopens(dparm);
	while (--i >= 0)
		if (fscanf(ff,"%f",d++) != 1)
			gipserr1(GIPSBADVAL);
}
