#ifndef lint
static char *sccsid = "%Z%$RCSfile: get_spool.c,v $	GIPS $Revision: 2.2 $ (MIT/CSR) $Date: 1998/11/13 23:22:50 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1984 Massachusetts Institute of Technology
**
**	Module:		get_spool.c	Creation Date:	11/06/84
**	Version:	$Revision: 2.2 $		Update:		$Date: 1998/11/13 23:22:50 $
**	Components:	get_spool()	ihm subroutine
**
**	Function:	Copy the image array to a temporary disk file
*/

#include	"ihm.h"

#include <string.h>

get_spool(t)

	register TABLE *t;	/* input file table */
{
	register char *	buf;	/* i/o buffer */
	register FILE *	fp;	/* stream pointer */
	register int	i;	/* scratch */

	static	char  *	tmpl = "%s/ihmXXXXXX";
	static	char	tfname[100];
	static	int	tfnum;	/* scratch file number */
	extern	char  *	mktemp();

	buf = alloc(t->num[0],t->dlen);
	if (tfnum == 0) {
		(void)sprintf(tfname,tmpl,ddir);
		(void)(mktemp(tfname));
		gipsint(cleanup);
	}
	t->fname = alloc(strlen(tfname)+10,sizeof(char));
	(void)(sprintf(t->fname,"%s%d",tfname,tfnum++));
	t->ftemp++;
	if ((fp = fopen(t->fname,"w")) == NULL)
		gipserr2(GIPSBADOPEN,t->fname);
	for (i = t->num[1]; --i >= 0; )
		if (fread(buf,t->dlen,t->num[0],t->iop) != t->num[0])
			gipserr2(GIPSBADREAD,t->fname);
		else if (fwrite(buf,t->dlen,t->num[0],fp) != t->num[0])
			gipserr2(GIPSBADWRITE,tfname);
	free(buf);
	(void)(fclose(t->iop));
	(void)(fclose(fp));
	t->iop = fopen(t->fname,"r");
	t->noseek = 0;
}
