: '@(#)crest.sh		4.2 (MIT/CSR) 04/20/84

		   Comtal Image Processor Utility
			   Peter G. Ford
		      Center for Space Research
	Copyright 1984 Massachusetts Institute of Technology

	Module:		crest.sh	Creation Date:	12/29/83
	Version:	1.0		Update:		04/20/84
	Function:	Restore Comtal storage from UNIX directory
'
PATH=/bin:/usr/local/bin
if [ $# -ne 1 -o "$1" = "=" ]
	then echo "Usage: crest dirname" >&2
	exit 1
fi
if cd $1
	then :
	else exit
fi
if [ -s README ]
	then cat README
fi
if [ -s [igfpm].? ]
	then :
	else exec echo "crest: nothing to restore" &>2
fi
x='S M DE TR 8 512 512 AS T 8 1 2 3 F 8,R F 1 F 8,G F 2 F 8,B F 3'
if ( echo $x | cin c )
	then :
	else exit
fi
for i in [igfpm].?
do
	if cin $i $i
		then :
		else exit
	fi
done
echo "crest: Comtal restored from $1 on `date`"
