: '@(#)ctroff.sh	4.2 (MIT/CSR) 04/20/84

		   Comtal Image Processor Utility
			   Peter G. Ford
		      Center for Space Research
	Copyright 1984 Massachusetts Institute of Technology

	Module:		ctroff.sh	Creation Date:	12/29/83
	Version:	1.0		Update:		04/20/84
	Function:	Invoke troff(1) and reformat output into
			a 512x512x1 byte graphic plane.
'
PATH=/bin:/usr/bin:/usr/ucb:/usr/local/bin
fl="/usr/bin/troff -t -rv1 -f"
mac=/usr/lib/tmac/tmac.vcat
fo1=/tmp/fnt1$$
fo2=/tmp/fnt2$$
gr=1 fo=comcat x= y= t=false vs='/usr/lib/vsort -W'
cp /dev/null $fo1
trap "eval rm /tmp/fnt\?$$" 0
while [ $# -gt 0 ]
do case $1 in
	=)	x="Usage: ctroff [-ct] [-gloxy n] [-F123 font] [troff args]"
		exec echo "$x" >&2 ;;
	-c)	c=1;;
	-t)	t=true;;
	-[gloxyF1234]?*)
		z="`echo $1 | colrm 3` `echo $1 | colrm 1 2`"
		shift
		set z $z $*;;
	-[go])	gr=${2?'missing plane'}
		shift ;;
	-l)	l=${2?'missing length'}
		shift ;;
	-F)	z="-1 ${2?no -F name}.r -2 $2.i -3 $2.b"
		shift
		shift
		set z $z $* ;;
	-[123])	if [ -r /usr/lib/fontinfo/${2?"missing $1 name"} ]
			then z=$2
		elif [ -r /usr/lib/fontinfo/$2.r ]
			then z=$2.r
		else exec echo "ctroff: font $2 not found" >&2
		fi
		( echo .nr p $1 | colrm 7 7 ; cat /usr/lib/fontinfo/$z ) >> $fo1
		fo="$fo $1 $z"
		shift;;
	-x)	x=+${2?'missing x value'}
		shift ;;
	-y)	y=+${2?'missing y value'}
		shift ;;
	-*)	fl="$fl $1";;
	*)	break;;
	esac
	shift
done

echo -n ${c+'.nf
.nf
.m1 0
.m2 0
.di CL
'} >> $fo1

echo -n ${c+".di
.po (1060u-\n(dlu${x}u)/2u
.sp (1024u-\n(dnu${y}u)/2u
.CL
"} > $fo2

if $t
	then $fl $mac $fo1 ${*-"-"} $fo2 | $vs ${l+"-l $l"} | $fo
	else $fl $mac $fo1 ${*-"-"} $fo2 | $vs ${l+"-l $l"} | $fo | cin g.$gr
fi
