#ifndef lint
static char *sccsid = "%Z%$RCSfile: gipserrs.c,v $	GIPS $Revision: 2.2 $ (MIT/CSR) $Date: 1987/07/02 18:57:09 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1984 Massachusetts Institute of Technology
**
**	Module:		gipserrs.c	Creation Date:	02/08/84
**	Version:	$Revision: 2.2 $		Update:		$Date: 1987/07/02 18:57:09 $
**
**	Function:	Table of GIPS library error messages
*/

#include	<stdio.h>
#include	"gips.h"

int	gipserrno;
static	char	gipsbuf[BUFLEN] = "?";	/* insertion string */

char	*gipserrs[] = {
	gipsbuf,			/* filled by gips */
	"bad GIPS routine argument",	/* GIPSBADARG	1 */
	"no GIPS header in core",	/* GIPSNOHEAD	2 */
	"open error: %s",		/* GIPSBADOPEN	3 */
	"read error: %s",		/* GIPSBADREAD	4 */
	"bad data read: %s",		/* GIPSBADDATA	5 */
	"missing header varable: %s",	/* GIPSNOVAR	6 */
	"no value for header item: %s",	/* GIPSNOVAL	7 */
	"no end-of-header indicator",	/* GIPSNOEOF	8 */
	"bad header entry: %s",		/* GIPSBADVAR	9 */
	"bad header item value: %s",	/* GIPSBADVAL	10 */
	"bad header variable type: %s",	/* GIPSBADTYPE	11 */
	"%s value truncated",		/* GIPSTRUNC	12 */
	"inconsistent %s value",	/* GIPSBADLIM	13 */
	"unsupported %s value",		/* GIPSUNSCALE	14 */
	"null %s value",		/* GIPSNOSTR	15 */
	"insufficient core",		/* GIPSNOCORE	16 */
	"write error: %s",		/* GIPSBADWRITE	17 */
	"integral does not converge",	/* GIPSBADCONV  18 */
	"bad projection parameter: %s"	/* GIPSBADMAP	19 */
};
