#ifndef lint
static char *sccsid = "%Z%$RCSfile: saveargs.c,v $	GIPS $Revision: 2.1 $ (MIT/CSR) $Date: 1986/07/27 02:47:19 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1984 Massachusetts Institute of Technology
**
**	Module:		saveargs.c	Creation Date:	12/30/83
**	Version:	$Revision: 2.1 $		Update:		$Date: 1986/07/27 02:47:19 $
**	Components:	saveargs()	C subroutine
**
**	Function:	Save command name and calling arguments (i.e. **argv)
*/

#include        <string.h>   /* for strlen */
#include	<stdio.h>
#include	<stdlib.h>
#include	<memory.h>
#include	<ctype.h>
#include	"gips.h"

extern	char	*argsav[];

void
saveargs(argv)

	register char	**argv;		/* calling routine's *argv[] */
{
	register char	**arg, **end;
	register int	n = BUFLEN-3;

	if ((arg = argv) == NULL)
		return;
	while (*(end = arg) != NULL && (n -= strlen(*arg++)+1) > 0)
		;
	argsav[1] = strcat(strcpy(alloc(BUFLEN-n, 1), argsav[0] = *argv), ":");
	while (++argv != end)
		(void)(strcat(strcat(argsav[1], " "), *argv));
}
