#ifndef lint
static char *sccsid = "%Z%$RCSfile: conv_pix.c,v $	GIPS $Revision: 2.1 $ (MIT/CSR) $Date: 1986/07/27 06:00:37 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1985 Massachusetts Institute of Technology
**
**	Module:		conv_pix.c	Creation Date:	04/23/85
**	Version:	$Revision: 2.1 $		Update:		$Date: 1986/07/27 06:00:37 $
**	Components:	conv_pix()	iha subroutine
**
**	Function:	Perform conversions on a raster of input pixels
*/

#include	"iha.h"

conv_pix(x, t)
register x;
register TABLE *t;
{
	register float	*f, *h;
	float	g;

	gconv(f = t->fbuffer, t->buffer, x, CVT_F, ihdcvt(t->dtype));

	if (t->flgs & NORM)
		for (; --x >= 0; f++)
			*f = t->dfact * *f + t->dzero;
	else if (t->flgs & POLY)
		for (; --x >= 0; f++) {
			g = *f;
			h = t->dpoly+t->npoly;
			*f = *h;
			while (h > t->dpoly)
				*f = *--h + g * *f;
		}
}
