#ifndef lint
static char *sccsid = "%Z%$RCSfile: copy_file.c,v $	GIPS $Revision: 2.2 $ (MIT/CSR) $Date: 1993/02/20 02:18:26 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1985 Massachusetts Institute of Technology
**
**	Module:		copy_file.c	Creation Date:	04/23/85
**	Version:	$Revision: 2.2 $		Update:		$Date: 1993/02/20 02:18:26 $
**	Components:	copy_file()	iha subroutine
**
**	Function:	Convert simple byte-pixel files
*/

#include	"iha.h"

copy_file(sw)
{
	char	*lookup;
	FILE	*fp0, *fp1, *fp2;
	unsigned short	short_word;
	register char *l;
	register n, i, j;

	lookup = alloc(out->dlen,i = sw ? 256*256 : 256);
	if ((fp0 = fopen(tempsrc,"r")) == NULL)
		gipserr2(GIPSBADOPEN,tempsrc);
	if (fread(lookup,out->dlen,i,fp0) != i)
		gipserr2(GIPSBADREAD,tempsrc);
	(void)(fclose(fp0));

	fp0 = out->iop;
	fp1 = out->nexttab->iop;
	if (sw && byteflag == 1) fp2 = out->nexttab->nexttab->iop;

	for (n = xnum*ynum; --n >= 0; ) {
		if ((i = getc(fp1)) == EOF)
			gipserr2(GIPSBADREAD,out->nexttab->fname);
		if (byteflag == 2) {
			((char *)&short_word)[0] = i;
			((char *)&short_word)[1] = getc(fp1);
			i = short_word;
		} else if (sw)
			if ((j = getc(fp2)) == EOF)
				gipserr2(GIPSBADREAD,
					out->nexttab->nexttab->fname);
			else
				i += j << 8;
		j = out->dlen;
		l = lookup + (i * j);
		while (--j >= 0) putc(*l++,fp0);
	}
	if (ferror(fp0))
		gipserr2(GIPSBADWRITE,out->fname);
}
