#ifndef lint
static char *sccsid = "%Z%$RCSfile: exec_arith.c,v $	GIPS $Revision: 2.2 $ (MIT/CSR) $Date: 1998/05/13 01:19:58 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1985 Massachusetts Institute of Technology
**
**	Module:		exec_arith.c	Creation Date:	04/23/85
**	Version:	$Revision: 2.2 $		Update:		$Date: 1998/05/13 01:19:58 $
**	Components:	exec_arith()	iha subroutine
**
**	Function:	Execute the temporary command file
*/

#include	"iha.h"

exec_arith(x,y,envp)
int x,y;
char **envp;
{
	int	pvec[2];	/* pipe descriptors */
	int	pid;		/* child process id */
	register i;		/* scratch */

	if (pipe(pvec) < 0)
		error("cannot create pipe","");
	if ((pid = fork()) == 0) {
		(void)(close(pvec[1]));
		if (pvec[0] != 0) {
			(void)(dup2(pvec[0],0));
			(void)(close(pvec[0]));
		}
		i = byteflag ? open(tempsrc,1) : fileno(out->iop);
		if (i != 1) {
			(void)(dup2(i,1));
			(void)(close(i));
		}
		execle("/bin/sh","sh","-c",tempexec,0,envp);
	}
	if (pid <= 0)
		error("can't execute","");
	(void)(close(pvec[0]));
	put_pixels(x,y,pvec[1]);
	while ((i = wait(NULL)) != pid && i != 1)
		;
}
