#ifndef lint
static char *sccsid = "%Z%$RCSfile: aedmap.c,v $	GIPS $Revision: 2.2 $ (MIT/CSR) $Date: 1992/02/14 20:53:27 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1984 Massachusetts Institute of Technology
**
**	Module:		aedmap.c	Creation Date:	11/22/85
**	Version:	$Revision: 2.2 $		Update:		$Date: 1992/02/14 20:53:27 $
**	Components:	main()		GIPS/UNIX command
**
**	Function:	Supply new colormap to aed display
*/

#include	<stdio.h>

main(argc,argv)
	char **argv;
{
	char	*ofile	= "/dev/aedint";
	char	*idir	= "/usr/gips/lib/cmap";
	char	ifile[256], *sprintf();
	int	r, g, b, i ;
	FILE	*fi, *fo ;

	if (argc == 1)
		argv[1] = "bw";
	else if (argc > 2)
		fprintf(stderr,"%s: too many args\n",argv[0]), exit(1);

	if (! (fi = fopen(sprintf(ifile,"%s.cmap",argv[1]),"r")) &&
		! (fi = fopen(sprintf(ifile,"%s/%s.cmap",idir,argv[1]),"r")))
		perror(ifile), exit(1);

	if (! (fo = fopen(ofile,"w"))) perror(ofile), exit(1);

	fprintf(fo, "\033SEN3DDDNSCT0.256.") ;
	for (i = 0; i < 256 && fscanf(fi, "%d%d%d", &r, &g, &b) == 3; i++)
		fprintf(fo, "%d.%d.%d.", r, g, b) ;
	fprintf(fo, "\033SEN1888N\n") ;
	fflush(fo);
	if (ferror(fi)) perror(ifile), exit(1);
	if (ferror(fo)) perror(ofile), exit(1);
	exit(0);
}
