: '@(#)csave.sh	4.2 (MIT/CSR) 04/20/84

		   Comtal Image Processor Utility
			   Peter G. Ford
		      Center for Space Research
	Copyright 1984 Massachusetts Institute of Technology

	Module:		csave.sh	Creation Date:	12/29/83
	Version:	1.0		Update:		04/20/84
	Function:	Save Comtal storage in a UNIX directory
'
PATH=/bin:/usr/local/bin:/usr/ucb:/usr/bin
if [ $# -ne 1 -o "$1" = "=" ]
	then echo "Usage: csave dirname" >&2
	exit 1
fi
if j="`comstat -f` p.r p.g p.b t"
	then :
	else exit
fi
j="$j m.a m.b m.c m.d m.e m.f m.g m.h m.i m.j m.k m.l m.m m.n m.o"
if [ -d $1 ]
	then :
elif mkdir $1
	then :
else exit
fi
for i in $j
do
	if cout $i $1/$i
		then :
		else exit
	fi
done
echo "csave: Comtal saved in $1 on `date` by `whoami`" | tee $1/README
