PATH=/bin:/usr/bin:/usr/local/bin:
case $1 in
	-T*)	t=$1
		shift ;;
	=)	echo "Usage: plot '[-Ttype] [name...]'" >&2
		exit 0 ;;
	*)	t=-T$TERM
esac
case $t in
	-T450)			exec t450 $* ;;
	-T300)			exec t300 $* ;;
	-T300S|-T300s)		exec t300s $* ;;
	-Tver)			exec vplot $* ;;
	-Tcom|-Tcom1)		cplot $* | cin g.1 ; exit ;;
	-Tcom2)			cplot $* | cin g.2 ; exit ;;
	-Tcom3)			cplot $* | cin g.3 ; exit ;;
	-Tcom4)			cplot $* | cin g.4 ; exit ;;
	-Ttek|-T4014|-T)	exec tek $* ;;
	*)			echo "plot: terminal type $t not known" 1>&2
esac
exit 1
