/* @(#)tailor.h		4.2 (MIT/CSR) 05/09/84
 *
 *		   General Image Processing System
 *			   Peter G. Ford
 *		Massachusetts Institute of Technology
 *		      Center for Space Research
 *
 *	Module:		tailor.h	Creation Date:	12/29/83
 *	Version:	1.0		Update:		05/09/84
 *	Function:	Define UNIX system-dependent C features
 *	Components:	none		C #include file
 */

#define berkeley

#ifdef berkeley
#define version7
#endif

#ifdef version7
#define	regextra	register
#define	initially	=
#define	statop	static
#define EQ_PLUS	+=
#define EQ_MINUS	-=
#define EQ_TIMES	*=
#define EQ_OVER	/=
#define EQ_OR	|=
#define EQ_AND	&=
#define EQ_XOR	^=
#define EQ_LEFT	<<=
#define EQ_RIGHT	>>=
#define EQ_MOD	%=
#define arg4alloc	unsigned
#define MAL	0
#define TRUE	(1)
#define FALSE	(0)
#define MACRODEFINES
#define MAYCAST
#define Fread(p, s, n, f) fread((char *)p,s,n,f)
#define Fwrite(p, s, n, f) fwrite((char *)p,s,n,f)
#define Free(p) free((char *)p)
#endif

#ifndef version7
#define regextra	auto
#define initially
#define statop
#define EQ_PLUS	=+
#define EQ_MINUS	=-
#define EQ_TIMES	=*
#define EQ_OVER	=/
#define EQ_OR	=|
#define EQ_AND	=&
#define EQ_XOR	=^
#define EQ_LEFT	=<<
#define EQ_RIGHT	=>>
#define EQ_MOD	=%
#define arg4alloc	int
#define MAL	malloc(-1032)
#define TRUE	(0 == 0)
#define FALSE	(0 != 0)
#define Fread	fread
#define Fwrite	fwrite
#define Free	free
#endif

#ifdef berkeley
#define use	(void)
#define	VOID	void
#endif

#ifndef berkeley
#define use
#define	VOID
#endif

#define TAMEEXITVAL	0
#define WILDEXITVAL	1
