#ifndef lint
static char *sccsid = "%Z%$RCSfile: alloc.c,v $	GIPS $Revision: 2.1 $ (MIT/CSR) $Date: 1986/07/27 02:46:42 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1984 Massachusetts Institute of Technology
**
**	Module:		alloc.c		Creation Date:	12/30/83
**	Version:	$Revision: 2.1 $		Update:		$Date: 1986/07/27 02:46:42 $
**	Components:	alloc()		Allocate storage
**
**	Function:	Allocate storage and report errors
*/

#include        <stdlib.h>   /* for calloc */
#include	<stdio.h>
#include	"gips.h"

/* extern	char	*calloc(); */ 	/* C library */

char *
alloc(n,m)

	register n;		/* number of elements */
	register m;		/* size of element in bytes */
{
	register char *c;

	if ((c = calloc((unsigned) n,(unsigned) m)) != 0)
		return(c);
	gipserrno = GIPSNOCORE;
	return(NULL);
}
