#ifndef lint
static char *sccsid = "%Z%$RCSfile: gipsdir.c,v $	GIPS $Revision: 2.2 $ (MIT/CSR) $Date: 1998/05/13 00:51:47 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**
**	Module:		gipsdir.c	Creation Date:	07/27/89
**	Version:	$Revision: 2.2 $		Update:		$Date: 1998/05/13 00:51:47 $
**	Components:	gipsdir()	return gips root directory name
**			gipsprofdir()	return gips table directory name
**			gipscmapdir()	return gips colormap directory name
**			gipsboxdir()	return gips boxcar directory name
**
**	Function:	return pathnames of gips directories
*/

#include "gips.h"

static	char	dir[256];

char *
gipsdir()
{
	char	*c;

	return (c = getenv("GIPSDIR")) ? c : "/usr/gips";
}

char *
gipsprofdir()
{
	sprintf(dir, "%s/tables/", gipsdir());
	return dir;
}

char *
gipsboxdir()
{
	sprintf(dir, "%s/lib/boxcar/", gipsdir());
	return dir;
}

char *
gipscmapdir()
{
	sprintf(dir, "%s/lib/cmap/", gipsdir());
	return dir;
}
