#ifndef lint
static char *sccsid = "%Z%$RCSfile: ihlen.c,v $	GIPS $Revision: 2.1 $ (MIT/CSR) $Date: 1986/07/27 02:47:11 $";
#endif
/*		   General Image Processing System
**			   Peter G. Ford
**		      Center for Space Research
**	Copyright 1984 Massachusetts Institute of Technology
**
**	Module:		ihlen.c		Creation Date:	12/30/83
**	Version:	$Revision: 2.1 $		Update:		$Date: 1986/07/27 02:47:11 $
**	Components:	ihlen_		C or Fortran data structure
**
**	Function:	Table to hold length of GIPS pixel types
*/

#include	<stdio.h>
#include	"gips.h"

#define	_ihS	sizeof(char)
#define	_ihB	sizeof(unsigned char)
#define	_ihH	sizeof(short)
#define	_ihU	sizeof(unsigned short)
#define	_ihI	sizeof(long)
#define	_ihL	sizeof(unsigned long)
#define	_ihF	sizeof(float)
#define _ihD	sizeof(double)
#define _ihC	2*sizeof(float)

char _ihdim_[] = {
	0,
	sizeof(char),	sizeof(unsigned char),
	sizeof(short),	sizeof(unsigned short),
	sizeof(long),	sizeof(unsigned long),
	sizeof(float),	sizeof(double),
	2*sizeof(float)
};

char _ihlen_[] = {
	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	_ihB,	_ihC,	_ihD,	0,	_ihF,	0,
	_ihH,	_ihI,	0,	0,	_ihL,	0,	0,	0,
	0,	0,	0,	_ihS,	0,	_ihU,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	_ihB,	_ihC,	_ihD,	0,	_ihF,	0,
	_ihH,	_ihI,	0,	0,	_ihL,	0,	0,	0,
	0,	0,	0,	_ihS,	0,	_ihU,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
};

char _ihcvt_[] = {
	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	CVT_B,	CVT_C,	CVT_D,	0,	CVT_F,	0,
	CVT_H,	CVT_I,	0,	0,	CVT_L,	0,	0,	0,
	0,	0,	0,	CVT_S,	0,	CVT_U,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
	0,	0,	CVT_B,	CVT_C,	CVT_D,	0,	CVT_F,	0,
	CVT_H,	CVT_I,	0,	0,	CVT_L,	0,	0,	0,
	0,	0,	0,	CVT_S,	0,	CVT_U,	0,	0,
	0,	0,	0,	0,	0,	0,	0,	0,
};
